Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1663 (closed defect: fixed)

Opened 10 years ago

Last modified 10 years ago

Wrong arg type for some functions in PullParser

Reported by: doob Assigned to: kris
Priority: major Milestone: 0.99.9
Component: Tango Version: 0.99.8 Sean
Keywords: Cc:

Description

The following functions in tango.text.xml.PullParser should use the the template type specified by the user instead of char[]:

  • doUnexpected
  • doExpected
  • position
  • error

This will cause compile errors when using a Document with other template types than char.

Attachments

PullParser.patch (1.5 kB) - added by doob on 06/02/09 21:16:55.
PullParser2.patch (3.1 kB) - added by nablaoperator on 11/03/09 15:44:29.

Change History

06/02/09 21:16:55 changed by doob

  • attachment PullParser.patch added.

11/03/09 15:44:29 changed by nablaoperator

  • attachment PullParser2.patch added.

11/09/09 07:45:34 changed by kris

  • status changed from new to closed.
  • resolution set to fixed.

(In [5082]) fixes #1663 :: Wrong arg type for some functions in PullParser?

thanks to boob

11/09/09 17:32:21 changed by larsivi

You sure it was boob you should thank? :D

11/09/09 20:41:58 changed by kris

a boob on my part ... sorry doob :)